schemagen(1)

NAME
schemagen - Java(TM) Architecture for XML Binding Schema Generator Specification Version: 2.0
Reference Implementation (RI) Version: 2.0 ea3

  Launching schemagen

The schema generator can be launched using the appropriate schemagen shell script in the bin directory for your platform.

The current schema generator can process either Java source files or class files.

We also provide an Ant task to run the schema generator - see the instructions for using schemagen with Ant.

    For Solaris/Bsd

          % path/to/jaxb/bin/schemagen.sh Foo.java Bar.java ...
          Note: Writing schema1.xsd

    For WindowsNT/2000/XP

          > path\to\jaxb\bin\schemagen.bat Foo.java Bar.java ...
          Note: Writing schema1.xsd

If your java sources/classes reference other classes, they must be accessable on your system CLASSPATH environment variable, or they need to be given to the tool by using the -classpath/-cp options. Otherwise you will see errors when generating your schema.

    Command Line Options

        Usage: schemagen [-options ...] <java files>
        Options:
            -d <path>         :  Specify where to place processor and javac generated class files
            -cp <path>        :  Specify where to find user specified files
            -classpath <path> :  Specify where to find user specified files
            -help             :  Display this usage message

  Generated Resource Files

The current schema generator simply creates a schema file for each namespace referenced in your Java classes. There is no way to control the name of the generated schema files at this time. For that purpose, use the schema generator ant task.

See Also

    o   JAXB 2.0:

        *   Release Notes @
            http://java.sun.com/webservices/docs/2.0/jaxb/ReleaseNotes.html

        *   XJC @
            http://java.sun.com/webservices/docs/2.0/jaxb/xjc.html

        *   XJCTask @
            http://java.sun.com/webservices/docs/2.0/jaxb/xjcTask.html

        *   SchemaGen @
            http://java.sun.com/webservices/docs/2.0/jaxb/schemagen.html

        *   schemagenTask @
            http://java.sun.com/webservices/docs/2.0/jaxb/schemagenTask.html

        *   Sample Apps @
            http://java.sun.com/webservices/docs/2.0/jaxb/samples.html

        *   Changelog @
            http://java.sun.com/webservices/docs/2.0/jaxb/changelog2.html

    o   JAXB 1.0.x:

        *   Release Notes @
            http://java.sun.com/webservices/docs/2.0/jaxb/jaxb-1_0.html

        *   Changelog @
            http://java.sun.com/webservices/docs/2.0/jaxb/changelog.html

    o   JAXB RI Extensions:

        *   Runtime Properties @
            http://java.sun.com/webservices/docs/2.0/jaxb/vendorProperties.html

        *   XJC Customizations @
            http://java.sun.com/webservices/docs/2.0/jaxb/vendorCustomizations.html

        *   Develop Plugins @
            http://java.sun.com/webservices/docs/2.0/jaxb/developPlugins.html

    o   JAXB RI Schema Languages:

        *   W3C XML Schema @
            http://java.sun.com/webservices/docs/2.0/jaxb/vendorSchemaLangs.html#xschema

        *   RELAX NG @
            http://java.sun.com/webservices/docs/2.0/jaxb/vendorSchemaLangs.html#relaxng

        *   DTD @
            http://java.sun.com/webservices/docs/2.0/jaxb/vendorSchemaLangs.html#dtd

    o   JAXB Community:

        *   Java.net Homepage @
            http://jaxb.dev.java.net

        *   Developer interest list @
            https://jaxb.dev.java.net/servlets/ProjectMailingListList

        *   FAQ @
            https://jaxb.dev.java.net/faq/index.html